FAQ  •  Register  •  Login

UP3 RC4 and SAS modact 3.06

<<

Nadia

User avatar

Mod Member

Posts: 404

Joined: Thu Jan 10, 2008 11:12 pm

Location: Canada

Post Tue Jun 07, 2011 10:05 am

UP3 RC4 and SAS modact 3.06

Well, as you should know, the UP3 RC release features a switching capability between
UP3 - SAS 3 - and Classic Mode.

It seems this is only a feature that will come to work better in Full Up3, they say over there at UP,
and for now should be left very much alone. But, I went straight in there from the start, and now I have both UP3 mode
and SA 3.02 modact working fine together. I have upload the sfs files missing on SAS side, planes, cockpits, effects
maps, objects and textures using .rc file, and added same few mods on both sides ( clouds, maps, repaints; nothing much
since UP3 has almost everything to start with... ).

What is strange however is that the SAS 3.2 so installed in UP3 RC, now works BETTER then UP3 itself.
That's right, many little bugs reported or present in UP3 RC seems to have disappeared on SAS side:
examples: Hurricane Cockpits (MK1 1938) do not open in UP3, they do on SAS side; German markings
lack their letter color in UP3 ( white, yellow, green, black ), they have it on SAS side...
I'm only starting to discover some of this... VERY STRANGE INDEED. :shock:

( And now that both my UP3 and SAS3 are identical, switching between them have also become somewhat trouble-less... )

:mrgreen: :mrgreen: :mrgreen: :mrgreen:
Last edited by Nadia on Tue Aug 16, 2011 10:29 am, edited 3 times in total.
<<

Jambo

User avatar

Site Administrator

Posts: 2008

Joined: Thu Apr 03, 2008 5:59 pm

Location: Germany

Post Tue Jun 07, 2011 12:07 pm

Re: UP3 and SAS modact ( upped )

::)) Hi Nadia,

that is really great! I'm happy for you. :D

I don't want to be rude - but if I may ask: how and what did you do?
I'm absolutely sure, that many people around would be truly glad and grateful for your advice and help! 8)

Please don't let us suffer...! :lol:

Jambo :wink:
<<

Nadia

User avatar

Mod Member

Posts: 404

Joined: Thu Jan 10, 2008 11:12 pm

Location: Canada

Post Thu Jun 09, 2011 4:13 pm

Re: UP3 and SAS modact ( upped )

THE INFORMATION ABOUT INSTALLING SAS Modact 3.02 in an UP3 game is now OBSOLETE
as of June 09 2011.

A new SAS modact is now out, SAS MODACT 3.06, replacing SAS modact 3.02 and 3.04b, which in turn
are no longer are available.

I 'm now going to try for that one, as it is presumably more suitable for use, installation upon UP3.

I'm now in the process of making a FULL BACK UP of my game, READING the instructions (pdf)
carefully, downloading and installing as indicated, which seems to suggest complete overwrite
after deactivating all mods in JSGME . Since UP3 is activated by JSGME, I 'm not sure about that one...
... will See.

YEP. UP3 can be deactivated from right to left. ALL JSGME mods must be OFF, say's the pdf file.
So I'm doing it... BYE for now.
<<

Nadia

User avatar

Mod Member

Posts: 404

Joined: Thu Jan 10, 2008 11:12 pm

Location: Canada

Post Sun Jun 12, 2011 4:40 pm

Re: UP3 and SAS modact ( upped )

OK. I have made copies of all files that SAS Modact 3.06 will overwrite, also elected to
set aside my #SAS# and use the new one for starting from scratch approach, and made full copy
of my entire UP3 game version on external drive.

I opened the 7z into a separate file and proceeded to change my existing UP3 game item by item overwriting
as I go, and replacing the #SAS# by the new one, having neutralized the old like this --#SAS#.

It all worked out very fine ( did put all JSGME files on the left side; the new #SAS appeared there also); added the new .exe overwrite,
same for the game and for the JSGME programs and files. Did the same for NGen and Dgen as well, missions file, everything.

I had doubts about QBM missions because I had improved quite a few, but no danger at all: they come in a NEW file entirely !

UP3 activated then worked as before, except with a little change in the .exe menu, where you now have a window that shows
the options that were selected, and a new DARK BLUE WORLD OPTION, whatever that is...

Modact3.06 worked as well as did Modact3.02 before, of course without my ad-dons. PEACHY !

All week I have been struggling with the idea of how to add on flyables in UP3 and or SAS 3.02 along side UP3.

The flyables I was interested in, were the newer AT6 version with both cockpits opening and the DH-89 newly remade available at SAS.
( by Epervier ). I managed to install both successfully into 4.09m SAS Modact2.01 and 4.101m Modact3.4b.
Due to the fact that both these mods need a DiffFM, for the game to work with them, I had imported the DiffFM 4.101 but
it did'nt work out. This is the same as the #SAS DiffFM 4.101 that is now added in JSGME by Modact 3.06 !

Today I have discovered something for all that effort, WITH UP3 deactivated (left) and DiffFM 4.101 activated (right) in JSGME
the new flyables do work. But with UP3 activated the DiffFM 4.101 does not work anymore on the side of SAS modact 3 mode.
This happens there when DiffFM 4.101 is applied + UP3 activated: all seems well until you try to fly any aircraft in QBM, but when the
QBM game loads, it then gets to 100% where it freezes in a loop for ever.

So my conclusion is for now that to have SAS Modact 3 side working smoothly, UP3 must be deactivated.

Otherwise you will get, as I did for a month now, UP3 flyables appearing in the QBM of SAS 3.06 that are not flyables at all,
unless you acquire them through some .rc additions, bad weapons placements or disfunctions, and of course NO new flyable possible that require a DiffFM active.

I will look into the matter of adding the sfs cockpits soon enough as I did before, for Do-217's sake, and others...

Been a very long day, come to think of it, time to put some little rest...
This is my progress report for now... ::))
Last edited by Nadia on Mon Jun 13, 2011 11:24 am, edited 4 times in total.
<<

Nadia

User avatar

Mod Member

Posts: 404

Joined: Thu Jan 10, 2008 11:12 pm

Location: Canada

Post Mon Jun 13, 2011 11:01 am

Re: UP3 and SAS modact 3.06

Image

Done with SAS Modact 3.06, #SAS_DiffFM 4.101 activated, #UP Ultrapack 3 deactivated.

We tried with Ultrapack 3, but those planes with "new FM" included in them, don't make it, so far ... No success !

True, the AT6 is already in there, and maybe in full UP3, this version...

See AT6 topic: http://freeil2modding.free-forum.net/at ... vt129.html

See DH-89a topic: http://www.sas1946.com/main/index.php/t ... #msg170312
<<

Fireskull

User avatar

Posts: 4183

Joined: Tue Jun 09, 2009 12:11 pm

Location: Milky Way Galaxy, Sun System, Earth, USA...Somewhere roaming in the mid-west of America! LOL!

Post Mon Jun 13, 2011 4:57 pm

Re: UP3 and SAS modact 3.06

Nadia,


This is a much needed thread here.

Thank you for all your work. :)

I made this into a Sticky Topic for UltraPack forum.




Fireskull
<<

Nadia

User avatar

Mod Member

Posts: 404

Joined: Thu Jan 10, 2008 11:12 pm

Location: Canada

Post Thu Jun 16, 2011 9:53 am

Re: UP3 and SAS modact 3.06

Thank You, Fireskull, for this appreciation. ( sorry about ...kk: meant that I struck the wrong keys. LOL ). :roll:

Update about: using SAS 3.6 in a UP3 install:

1- You can use UP3 if you activate it in JSGME and choose ULTRAPACK 3 in the selector itself.

2- you must DEACTIVATE UP3, can activate DiffFM_4.101m, select SAS Modact3 to use SAS Modact 3.06 as if it was a separate game.

3- you can do the Weird thing that I did, wich is to "upped" my SAS install, because it seems to work better then the UP3 side, itself.
( this involved letting UP3 activated, and use all of UP ini files from #UP# into #SAS file and mount all of UP.sfs files by adding proper lines
in the SAS3.06 .rc file. Tricky, but it can be done. This gets my Hurricane cockpits to open-up, ha!).

However, one BIG point of UP3, revealed in Dark Blue World post at SAS, is that UP3 is not MOD friendly.
My findings ( after trying everything for 3 days ), are that DiffFM_4.101m just doesn't work with UP3, when UP3 is activated.
The above mods, DH-89 and AT-6 will only work in option 2. Or in a complete separate install. If you go into WEIRD option 3, there is no turning back,
and you cannot use DiffFM any more. That is because air.ini ( from #UP#, transferred in #SAS ), will crash the game if UP3 is not activated. Same goes
for all the other .ini, and the all.ini for maps... For me it is just an interim thing, till FULL-UP3 or getting everything I want, from Dark Blue World.
( Also I can still use SAS modact 3.06 in a separately installed game, but then I don't have the UP3 package for it. )
( I must have used the external FULL COPY of my game at least a dozen times, since things can get very confusing when a simple test go wrong... )

4- Dark Blue World wants itself an UP+SAS joint effort to create an OFFLINE ultimate modding/modded game, leaving aside UP3, to be the ONLINE
compatible game, hence a not to be so much modded game...
- Find DARK BLUE WORLD HERE: http://www.sas1946.com/main/index.php/board,189.0.html
- The GOOD NEWS is: "DBW" comes with a the brand new DiffFM I was hoping for! Summer time! Pool time! Ready to plunge into the Dark Blue World ?

:OO :mrgreen: :mrgreen:
<<

Fireskull

User avatar

Posts: 4183

Joined: Tue Jun 09, 2009 12:11 pm

Location: Milky Way Galaxy, Sun System, Earth, USA...Somewhere roaming in the mid-west of America! LOL!

Post Fri Jun 17, 2011 9:55 am

Re: UP3 and SAS modact 3.06

Nadia wrote:Thank You, Fireskull, for this appreciation. ( sorry about ...kk: meant that I struck the wrong keys. LOL ). :roll:

Update about: using SAS 3.6 in a UP3 install:

1- You can use UP3 if you activate it in JSGME and choose ULTRAPACK 3 in the selector itself.

2- you must DEACTIVATE UP3, can activate DiffFM_4.101m, select SAS Modact3 to use SAS Modact 3.06 as if it was a separate game.

3- you can do the Weird thing that I did, wich is to "upped" my SAS install, because it seems to work better then the UP3 side, itself.
( this involved letting UP3 activated, and use all of UP ini files from #UP# into #SAS file and mount all of UP.sfs files by adding proper lines
in the SAS3.06 .rc file. Tricky, but it can be done. This gets my Hurricane cockpits to open-up, ha!).

However, one BIG point of UP3, revealed in Dark Blue World post at SAS, is that UP3 is not MOD friendly.
My findings ( after trying everything for 3 days ), are that DiffFM_4.101m just doesn't work with UP3, when UP3 is activated.
The above mods, DH-89 and AT-6 will only work in option 2. Or in a complete separate install. If you go into WEIRD option 3, there is no turning back,
and you cannot use DiffFM any more. That is because air.ini ( from #UP#, transferred in #SAS ), will crash the game if UP3 is not activated. Same goes
for all the other .ini, and the all.ini for maps... For me it is just an interim thing, till FULL-UP3 or getting everything I want, from Dark Blue World.
( Also I can still use SAS modact 3.06 in a separately installed game, but then I don't have the UP3 package for it. )
( I must have used the external FULL COPY of my game at least a dozen times, since things can get very confusing when a simple test go wrong... )

4- Dark Blue World wants itself an UP+SAS joint effort to create an OFFLINE ultimate modding/modded game, leaving aside UP3, to be the ONLINE
compatible game, hence a not to be so much modded game...
- Find DARK BLUE WORLD HERE: http://www.sas1946.com/main/index.php/board,189.0.html
- The GOOD NEWS is: "DBW" comes with a the brand new DiffFM I was hoping for! Summer time! Pool time! Ready to plunge into the Dark Blue World ?

:OO :mrgreen: :mrgreen:



Nadia wrote:Thank You, Fireskull, for this appreciation. ( sorry about ...kk: meant that I struck the wrong keys. LOL ). :roll:


No problem - I just thought it was Canuck for skull. :P

:lol:



Fireskull
<<

Nadia

User avatar

Mod Member

Posts: 404

Joined: Thu Jan 10, 2008 11:12 pm

Location: Canada

Post Sat Jun 18, 2011 12:44 am

Re: UP3 and SAS modact 3.06

Hi everyone! Hi fireskull !

Nadia wrote: If you go into WEIRD option 3, there is no turning back,...


Just did that turn back...

I needed a PURE 3.06 on UP3 to run a particular test. So in #SAS file:

- I neutralised --MAPMODS (upped ) and applied an older MAPMODS.

- I neutralised the --STD (upped +.rc upped ) and applied the original STD (saved).

- deactivated UP3 in JSGME and selector chose SAS Modact 3 to run.

...did my test whith SAS 3.06 ( lonesome ); it went like a charm... even the test itself did well... :P

UPDATE: I have removed one of the step above by installing all my all.ini 's in a maps file within the STD's, the same
as is done in the original #UP# file. This way all the ini files are within STD, and switching MAPMODS, is no longer required.
<<

Nadia

User avatar

Mod Member

Posts: 404

Joined: Thu Jan 10, 2008 11:12 pm

Location: Canada

Post Wed Jun 29, 2011 8:25 am

Re: UP3 RC4 and SAS modact 3.06

- 2nd Update: a newer DiffFM for UP3_RC4 is available at SAS:

http://www.sas1946.com/main/index.php/t ... 169.0.html

AT6 dual open cockpit mod ( UP3 + this newer DiffFM): mission loading failed: null (at 100%). :(

DH-89a flyable mod ( UP3 + this newer DiffFM): WORKS allright ! WOW ! great addition ! :D

J7M1 works without any DiffFM.

B-26B Marauder will work, but requires this DiffFM. Also needs latest buttons. Will work with SAS buttons 8.8.

[ about these SASbuttons and uploading the UP3 sfs plane files into the SAS modact 3.6 ,]
[ ( using #UP3#/STD/ .rc upload lines, copying them into #SAS/STD/.rc file )]
[ This now has a strange effect on F4F folding wings, a mixtup of the wings positions;]
[ it appeared since introduction of SAS button 8.9 and the later 9.1...]
[ but F4F wings looks ok with the SAS buttons 8.8 or less... ]

Return to UltraPack Forum.

Who is online

Users browsing this forum: No registered users and 3 guests

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group.
Designed by ST Software for PTF.